RK-A2 - Bug #3761

Next steps with thumbs down
10/30/2024 04:46 AM - Ram Kordale

Status: Closed
Priority: Urgent
Assignee: Ram Kordale
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

10/30/2024

100%
0.85 hour
0.00 hour

Description

When user clicks on thumbs down, pop up a modal that can be dismissed. The modal should contain the following options that user

can just click

. Did not understand the question
. Did not understand solution

. Answer is wrong

. Clues gave answer too fast

. Easier than expected

. Harder than expected

. Question repeated

. Other
When user chooses 'Other’, provide a text box that user can optionally use to write more about the issue. User can also just dismiss

it.

The number should be added to a new field user-comment-type in 'styled questions' kind. The text should be added to a new field

user-comments. User comments should be appended with #$% as delimiter in both fields.

When the modal shows up, there is a good chance that the user would want to look at the question, clues, answer etc before
answering. So, add a 'View question’ button below the choices. On clicking it, show the question, cq, ds, answer etc.

History

#1 - 10/30/2024 06:40 AM - Ram Kordale
- Description updated

#2 - 10/30/2024 12:02 PM - Ram Kordale

- Description updated

#3 - 10/30/2024 12:06 PM - Ram Kordale
- Description updated

#4 - 10/31/2024 02:22 PM - Ram Kordale
- Description updated

- Priority changed from High to Urgent

#5 - 11/08/2024 07:00 AM - Ram Kordale
- Assignee set to Shubham Boke

- Estimated time set to 0.65 h

#6 - 11/08/2024 11:40 AM - Ram Kordale

- Description updated

#7 - 11/08/2024 11:41 AM - Ram Kordale

- Estimated time changed from 0.65 h to 0.80 h

#8 - 11/08/2024 11:41 AM - Ram Kordale

- Estimated time changed from 0.80 h to 0.85 h
#9 - 11/11/2024 08:58 AM - Shubham Boke
- Status changed from New to Resolved

- % Done changed from 0 to 100

#10 - 11/11/2024 08:58 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Parag Patil

#11 - 11/13/2024 11:06 AM - Parag Patil

- Assignee changed from Parag Patil to Dewakar Chaubey

#12 - 02/06/2025 07:12 AM - Dewakar Chaubey
- Status changed from Review to Feedback

- Assignee changed from Dewakar Chaubey to Shubham Boke

#13 - 02/06/2025 12:00 PM - Shubham Boke

- Assignee changed from Shubham Boke to Dewakar Chaubey

#14 - 02/06/2025 12:03 PM - Dewakar Chaubey

- Assignee changed from Dewakar Chaubey to Ram Kordale

#15 - 03/27/2025 05:50 AM - Ram Kordale
- Status changed from Feedback to Closed
